Subject: Re: [PATCH v3 00/20] Add support for Silicon Labs WiFi chip WF200 and further

From: Greg Kroah-Hartman <[email-masked]>
Date: Thu, 19 Sep 2019 16:41:26 +0200

On Thu, Sep 19, 2019 at 02:25:36PM +0000, Jerome Pouiller wrote:
> From: Jérôme Pouiller <[email-masked]>
> 
> Hello all,
> 
> This series add support for Silicon Labs WiFi chip WF200 and further:
> 
>    https://www.silabs.com/documents/public/data-sheets/wf200-datasheet.pdf
> 
> This driver is an export from:
> 
>    https://github.com/SiliconLabs/wfx-linux-driver/
>    
> I squashed all commits from github (it definitely does not make sense to
> import history). Then I split it in comprehensible (at least try to be)
> commits. I hope it will help readers to understand driver architecture.
> IMHO, firsts commits are clean enough to be reviewed. Things get more
> difficult when I introduce mac8011 API. I tried to extract important
> parts like Rx/Tx process but, big and complex patches seem unavoidable
> in this part.
> 
> Architecture itself is described in commit messages.
> 
> The series below is aligned on version 2.3.1 on github. If compare this
> series with github, you will find traditional differences between
> external and a in-tree driver: Documentation, build infrastructure,
> compatibility with older kernel revisions, etc... In add, I dropped all
> code in CONFIG_WFX_SECURE_LINK. Indeed, "Secure Link" feature depends
> on mbedtls and I don't think to pull mbedtls in kernel is an option
> (see "TODO" file in first commit).
> 
> v3:
>   - Fill commit log of patches 18, 19 and 20
> 
> v2:
>   - Add TODO file (and dropped todo list from cover letter)
>   - Drop code relative to compatibility with older kernels

dude, slow down.  wait for others to look at this.

there's nothing I can do until after 5.4-rc1 is out, so there is no rush
at all...

thanks,

greg k-h